<?php
/**
 * The template for displaying archive pages.
 *
 * Learn more: http://codex.wordpress.org/Template_Hierarchy
 *
 * @package Seiryuu
 */

get_header(); ?>

<main id="primary" class="site-main" role="main">

  <?php if ( have_posts() ) : ?>

    <header class="page-header">
      <h1 class="page-title">
      	<?php
        if ( is_category() ) :
          printf( __( 'Category: %s', 'seiryuu' ), '<span>' . single_cat_title( null, false ) . '</span>' );
        
        elseif ( is_tag() ) :
          printf( __( 'Tag: %s', 'seiryuu' ), '<span>' . single_tag_title( null, false ) . '</span>' );
        
        elseif ( is_day() ) :
          printf( __( 'Day: %s', 'seiryuu' ), '<span>' . get_the_date() . '</span>' );
        
        elseif ( is_month() ) :
          printf( __( 'Month: %s', 'seiryuu' ), '<span>' . get_the_date( _x( 'F Y', 'monthly archives date format', 'seiryuu' ) ) . '</span>' );
        
        elseif ( is_year() ) :
          printf( __( 'Year: %s', 'seiryuu' ), '<span>' . get_the_date( _x( 'Y', 'yearly archives date format', 'seiryuu' ) ) . '</span>' );
        
        elseif ( is_tax( 'post_format', 'post-format-aside' ) ) :
          _e( 'Asides', 'seiryuu' );
        
        elseif ( is_tax( 'post_format', 'post-format-gallery' ) ) :
          _e( 'Galleries', 'seiryuu' );
        
        elseif ( is_tax( 'post_format', 'post-format-image' ) ) :
          _e( 'Images', 'seiryuu' );
        
        elseif ( is_tax( 'post_format', 'post-format-video' ) ) :
          _e( 'Videos', 'seiryuu' );
        
        elseif ( is_tax( 'post_format', 'post-format-quote' ) ) :
          _e( 'Quotes', 'seiryuu' );
        
        elseif ( is_tax( 'post_format', 'post-format-link' ) ) :
          _e( 'Links', 'seiryuu' );
        
        elseif ( is_tax( 'post_format', 'post-format-status' ) ) :
          _e( 'Statuses', 'seiryuu' );
        
        elseif ( is_tax( 'post_format', 'post-format-audio' ) ) :
          _e( 'Audios', 'seiryuu' );
        
        elseif ( is_tax( 'post_format', 'post-format-chat' ) ) :
          _e( 'Chats', 'seiryuu' );
        
        else :
          _e( 'Archives', 'seiryuu' );
        
        endif;
      	?>
      </h1>
      <?php
      // Show an optional term description.
      $term_description = term_description();
      if ( ! empty( $term_description ) ) :
        printf( '<p class="taxonomy-description">%s</p>', $term_description );
      endif;
      ?>
    </header><!-- .page-header -->

    <div class="masonry">

  	  <?php /* Start the Loop */ ?>
      <?php while ( have_posts() ) : the_post(); ?>

  		  <?php
  			/* Include the Post-Format-specific template for the content.
  			 * If you want to override this in a child theme, then include a file
  			 * called content-___.php (where ___ is the Post Format name) and that will be used instead.
  			 */
  			get_template_part( 'content', get_post_format() );
  		  ?>

      <?php endwhile; ?>
      
		</div><!-- .masonry -->
		
    <?php else : ?>

  	  <?php get_template_part( 'content', 'none' ); ?>

    <?php endif; ?>
  
  <?php seiryuu_paging_nav(); ?>
  
</main><!-- #primary -->

<?php get_sidebar(); ?>
<?php get_footer(); ?>
