<?php
/**
 * The template for displaying author's archive pages.
 *
 * Learn more: http://codex.wordpress.org/Template_Hierarchy
 *
 * @package Seiryuu
 */

get_header(); ?>

<main id="primary" class="site-main" role="main">

  <?php if ( have_posts() ) : ?>

    <header class="page-header">
      <?php
      $seiryuu_author_bio = get_the_author_meta( 'description' );
      if ( $seiryuu_author_bio ) :
      ?>
      <div class="author-bio-card">
        <div class="author-bio-img">
          <?php echo get_avatar( get_the_author_meta( 'ID' ), 96 ); ?>
        </div><!-- .author-bio-img -->
        <div class="author-bio-text">
          <?php
            printf( _x( '<h1 class="page-title">About <span class="vcard"><a class="url fn n" href="%1$s">%2$s</a></span></h1>' , 'author archives header', 'seiryuu' ),
            esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ),
            esc_html( get_the_author() )
          );
          ?>
          <p><?php echo $seiryuu_author_bio; ?></p>
        </div><!-- .author-bio-text -->
      </div><!-- .author-bio-card -->
      <?php else : ?>
      <h1 class="page-title"><?php printf( __( 'Author: %s', 'seiryuu' ), '<span class="vcard">' . get_the_author() . '</span>' ); ?></h1>
      <?php endif; ?>
    </header><!-- .author-page-header -->

    <div class="masonry">

  	  <?php /* Start the Loop */ ?>
      <?php while ( have_posts() ) : the_post(); ?>

  		  <?php
  			/* Include the Post-Format-specific template for the content.
  			 * If you want to override this in a child theme, then include a file
  			 * called content-___.php (where ___ is the Post Format name) and that will be used instead.
  			 */
  			get_template_part( 'content', get_post_format() );
  		  ?>

      <?php endwhile; ?>

		</div><!-- .masonry -->
		
    <?php else : ?>

  	  <?php get_template_part( 'content', 'none' ); ?>

    <?php endif; ?>
  
  <?php seiryuu_paging_nav(); ?>
  
</main><!-- #primary -->

<?php get_sidebar(); ?>
<?php get_footer(); ?>
