<?php
/**
 * @package Seiryuu
 */
?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	<header class="entry-header">

	  <?php if ( has_post_thumbnail() ) : ?>
	    <div class="entry-thumbnail">
	      <a href="<?php esc_html( the_permalink() ); ?>"><?php the_post_thumbnail(); ?></a>
	    </div>
    <?php endif; ?>

    
		<?php the_title( sprintf( '<h1 class="entry-title"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h1>' ); ?>
        
		<?php if ( 'post' == get_post_type() ) : ?>
		<div class="entry-meta">
			<?php seiryuu_posted_on(); ?>
		</div><!-- .entry-meta -->
		<?php endif; ?>
	</header><!-- .entry-header -->

	<div class="entry-content">
		<?php the_excerpt(); ?>
    
		<?php
		wp_link_pages( array(
		  'before' => '<div class="page-links">' . __( 'Pages:', 'seiryuu' ),
		  'after'  => '</div>',
		) );
		?>
	</div><!-- .entry-content -->

	<footer class="entry-meta">
		<?php
		echo '<ul><li>';
		if ( ! post_password_required() ) :
		  comments_popup_link( __( '0 <span>Comments</span>', 'seiryuu'), __( '1 <span>Comment</span>', 'seiryuu'), __( '% <span>Comments</span>', 'seiryuu' ) );
		else :
		  printf( __( '<span>Enter your password to view comments.</span>', 'seiryuu' ) );
		endif;
		echo '</li>';
		
		if ( ! get_edit_post_link() ) :
		  echo '</ul>';
		else :
		  edit_post_link( __( 'Edit', 'seiryuu' ), '<li>', '</li>' );
		  echo '</ul>';
		endif;
    ?>
	</footer><!-- .entry-meta -->
	
	<?php if ( is_sticky() && 0 == get_query_var( 'paged' ) ) : ?>
	  <div class="ribbon-wrapper">
	    <div class="ribbon">
	      <span><?php _e( 'Sticky', 'seiryuu' ); ?></span>
	    </div>
	  </div>
  <?php endif; ?>
</article><!-- #post-## -->
