<?php
/**
 * The template for displaying the footer.
 *
 * Contains the closing of the #content div and all content after
 *
 * @package Seiryuu
 */
?>

<footer id="colophon" class="site-footer" role="contentinfo">
  <div class="site-info">
    <?php
    $seiryuu_options = get_option( 'seiryuu_theme_options' );
    $seiryuu_footer = esc_attr( $seiryuu_options['footer_text'] );
    
    if ( ! $seiryuu_footer ) : ?>
  	  <a href="<?php echo esc_url( __( 'http://wordpress.org/', 'seiryuu' ) ); ?>"><?php printf( __( 'Proudly powered by %s', 'seiryuu' ), 'WordPress' ); ?></a>
      <span class="sep"> | </span>
      <?php printf( __( 'Theme: %1$s by %2$s', 'seiryuu' ), 'Seiryuu', '<a href="http://stephencottontail.wordpress.com/" rel="designer">Stephen Dickinson</a>' ); ?>
    <?php else : ?>
      <span><?php echo stripslashes( htmlspecialchars_decode( $seiryuu_footer ) ); ?></span>
    <?php endif; ?>
  </div><!-- .site-info -->
  
  <?php if ( has_nav_menu( 'social' ) ) : ?>
  <nav id="social" class="social-media-navigation" role="navigation">
    <?php wp_nav_menu( array(
      'theme_location' => 'social',
      'link_before'    => '<span class="screen-reader-text">',
      'link_after'     => '</span>'  
    ) ); ?>
  </nav>
  <?php endif; ?>
</footer><!-- #colophon -->

<?php wp_footer(); ?>

</body>
</html>
