jQuery( document ).ready( function( $ ) {
	var menu = $( '#site-navigation' );
	var menuButton = $( '#js-nav-button' );
	var links = menu.find( 'a' );
	var subMenus = menu.find( 'ul' );
	var footerMenus = $( '#social' ).find( 'a' );
  var container = jQuery( '.masonry' );
  
  function toggleFocus() {
	  $( this ).parentsUntil( menu, 'li' ).toggleClass( 'focus' );
  }
  
  menuButton.on( 'click', function( e ) {
	  e.preventDefault();
	  menu.slideToggle( 'fast' );
  } );
  
  container.imagesLoaded( function() {
	  container.masonry( {
		  itemSelector: '.hentry',
		  columnWidth: '.hentry'
	  } );
  } );
  
  subMenus.each( function() {
	  $( this ).parent().attr( 'aria-haspopup', 'true' );
  } );
  
  links.each( function() {
	  $( this ).on( 'focus blur', toggleFocus );
  } );
  
  footerMenus.each( function() {
	  $( this ).on( 'focus blur', toggleFocus );
  } );
} );
